jc_modal_incident_list:
  namespace: "Organisms/TM - Journey Check/JC Modal"
  use: "@organisms/tm-jc/jc-modal/jc-modal-incident/journey-check-incident-list.html.twig"
  label: Incident list
  description: Incident list

  fields:

    incidentList:
      type: object
      label: Data - Incident List
      preview:
        type: line
        title: 'There is an issue affecting services on this route:'
        items:
          - id: '1321192741'
            title: Between Northampton and London Euston
          - id: '1321192742'
            title: Between Here and There
          - id: '1321192743'
            title: Between Somewhere and Somewhere Else

    route:
      type: object
      label: Data - Route (parent)
      preview:
        rid: 123
        status: minor

jc_modal_incident_details:
  namespace: "Organisms/TM - Journey Check/JC Modal"
  use: "@organisms/tm-jc/jc-modal/jc-modal-incident/journey-check-incident-details.html.twig"
  label: Incident details
  description: Incident details

  fields:

    rid:
      type: text
      label: RID
      preview: abc123

    status:
      type: text
      label: Status
      preview: minor

    element:
      type: object
      label: Data - Incident List
      preview:
        hasCallingPoints: true
        id: '1321192742'
        title: Between Northampton and London Euston
        text: |
          {h_start_1}Problem:{h_end_1}<p>Due to a points failure between Northampton
          and London Euston:</p>{h_start_2}Impact:{h_end_2}<p>Train services running to and
          from these stations may be delayed or revised. Disruption is expected to last until
          around 11:15 today (22 October).</p>{h_start_3}Our advice:{h_end_3}<p>We expect
          some of our trains to be affected by this incident. To see how this might affect
          you, please use the <a href="/travel-information/live-departure-arrival-boards">Live
          Departures & Arrivals</a> or plan your journey using the <a href="http://ojp.nationalrail.co.uk/"
          class="alt-link-processor-fa alt-link-processor-fa-external-link-square" target="_blank">National
          Rail Enquiries real-time journey planner</a>.</p>
        extraInfo:
          - type: further_info
            title: More information about the incident...
            text: |
              {h_start_1}What's happened?{h_end_1}<p>We've been told that there is a points failure
              between Northampton and London Euston.</p>{h_start_1}<hr>How long will this last?{h_end_1}
              <ul class="list"><li>We cannot currently estimate how long this problem will last.</li>
              </ul>{h_start_1}<hr>Updates from our Control Team:{h_end_1}<div class="timeline-list full">
              <div class="timeline-list-wrapper"> <div class="timeline-list-inner">
              <div class="timeline-list-line"> <section class="main"> {h_start_1}09:00{h_end_1}
              <section> {h_start_2}09:10{h_end_2} <ul> <li>Due to the points issue, services that normally
              use the 'fast line' towards London Euston will now be sharing the 'slow line' to divert
              around the problem. This will cause delays to services as more trains will be travelling on
              the slow line than normal.</li> </ul> </section> </section> <section class="main">
              {h_start_1}10:00{h_end_1} <section> {h_start_2}10:00{h_end_2} <ul> <li>Lorem ipsum.</li>
              <li>Dolor sit.</li> </ul> </section> <section> {h_start_2}10:25{h_end_2} <ul> <li>Lorem
              ipsum.</li> </ul> </section> <section> {h_start_2}10:43{h_end_2} <ul> <li>Lorem ipsum.</li>
              </ul> </section></section> </div> </div> </div></div>
              {h_start_1}<hr>Updates from our Control Team:{h_end_1}<div class="timeline-list">
              <div class="timeline-list-wrapper"> <div class="timeline-list-inner">
              <div class="timeline-list-line"> <section class="main"> {h_start_1}09:00{h_end_1}
              <section> {h_start_2}09:10{h_end_2} <ul> <li>Due to the points issue, services that normally
              use the 'fast line' towards London Euston will now be sharing the 'slow line' to divert
              around the problem. This will cause delays to services as more trains will be travelling on
              the slow line than normal.</li> </ul> </section> </section> <section class="main">
              {h_start_1}10:00{h_end_1} <section> {h_start_2}10:00{h_end_2} <ul> <li>Lorem ipsum.</li>
              <li>Dolor sit.</li> </ul> </section> <section> {h_start_2}10:25{h_end_2} <ul> <li>Lorem
              ipsum.</li> </ul> </section> <section> {h_start_2}10:43{h_end_2} <ul> <li>Lorem ipsum.</li>
              </ul> </section></section> </div> </div> </div></div>
          - type: marketing_info
            title: What are my rights if I have a ticket?
            text: |
              {h_start_1}Delay Repay:{h_end_1}<p>If your journey is delayed by 15 minutes
              or more, youre entitled to compensation under our <a href="/about-us/delay-repay">Delay
              Repay</a> scheme. Please keep a hold of your ticket and submit your claim within
              28 days.</p>{h_start_1}<hr>Get your money back if you choose not to travel...{h_end_1}<p>Under
              the National Rail Conditions of Travel, if you have purchased a ticket and your
              train is cancelled or delayed, and you choose not to travel, you can return the
              unused ticket to the retailer you bought the ticket from and you will be given
              a full refund with no administration fee being charged. This applies to all tickets
              including those which are usually non-refundable.</p>{h_start_1}<hr>We wont
              leave you stranded...{h_end_1}<p>If its late in the day, dont worry if youre
              already travelling - we will look after you. Where it is not possible to carry
              on by train, we will provide a bus or a taxis - and if all else fails, well
              book you into a hotel.</p>{h_start_1}<hr>It shouldnt cost you any more...{h_end_1}<p>You
              shouldnt have to pay more because of this incident.<br/><br/>We will:</p><ul
              class="list"><li>refund any additional rail tickets you had to buy to travel by
              alternative rail routes, where you followed our advice</li><li>not charge you
              any extra for parking your car at our stations because of this disruption. Please
              speak to station staff on arrival at the station.</li><li>consider reimbursement
              of any out-of-pocket expenses in exceptional circumstances on a case-by-case basis.
              Any out-of-pocket costs should be kept to a minimum and any claim supported by
              an itemised receipt.</li></ul>{h_start_1}<hr>Give us the opportunity to help you...{h_end_1}<p>Please
              let us try and help you before you incur any cost or if you are stranded:</p><ul
              class="list"><li>speak to staff at our stations or on board our trains</li><li>call
              us on 0333 311 0039</li><li>use the Help Point telephone on the platform at
              our stations.</li><li>as a last resort, call National Rail Enquiries 03457 48
              49 50 (available 24 hours a day)</li></ul>
        updateText: Update 2 at 10:21 today
